com.trendmicro.ds.platform.rest.object.scheduledtask

## Enum DailyScheduleParameters.FrequencyType

- java.lang.Object
- - java.lang.Enum<DailyScheduleParameters.FrequencyType>
  - - com.trendmicro.ds.platform.rest.object.scheduledtask.DailyScheduleParameters.FrequencyType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<DailyScheduleParameters.FrequencyType>
  Enclosing class:
    DailyScheduleParameters

      public static enum DailyScheduleParameters.FrequencyType
      extends java.lang.Enum<DailyScheduleParameters.FrequencyType>

  FrequencyType controls when the scheduled task is run.
  - `everyday` implies that the task will run every day.
  - `weekdays` implies that the task will run Monday to Friday, but not Saturday or Sunday.
  - `custom` works in conjunction with the `customInterval` value. For example, a `customInterval` of "2" implies every second day.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CUSTOM` Define a custom frequency.
    `EVERYDAY` Run the task every day.
    `WEEKDAYS` Run the task Monday to Friday, but not on Saturday or Sunday.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DailyScheduleParameters.FrequencyType` | `forValue(int value)`
    `int` | `getValue()`
    `static DailyScheduleParameters.FrequencyType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static DailyScheduleParameters.FrequencyType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### EVERYDAY

          public static final DailyScheduleParameters.FrequencyType EVERYDAY

      Run the task every day.

    - #### WEEKDAYS

          public static final DailyScheduleParameters.FrequencyType WEEKDAYS

      Run the task Monday to Friday, but not on Saturday or Sunday.

    - #### CUSTOM

          public static final DailyScheduleParameters.FrequencyType CUSTOM

      Define a custom frequency.

  - ### Method Detail

    - #### values

          public static DailyScheduleParameters.FrequencyType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DailyScheduleParameters.FrequencyType c : DailyScheduleParameters.FrequencyType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DailyScheduleParameters.FrequencyType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public int getValue()

    - #### forValue

          public static DailyScheduleParameters.FrequencyType forValue(int value)

Copyright © 2017 Trend Micro Inc. All Rights Reserved.